Subject: (IPng 6434) Re: Host Fragmentation

From: [email-masked]
Date: Thu, 10 Sep 1998 16:13:50 EDT

In a message dated 9/10/98 3:22:42 PM Eastern Daylight Time, [email-masked]
writes:

> > Joachim Martillo sez:
>  > The NT Server works best if it can put jumbo frames on the wire.
>  > The situation is not unusual...

>  Yes, bigger packets are good when pushing big data over short trips.
>  This is old news.

Actually, we are specifically talking about server performance.
  
>  > Unfortunately not every client can receive jumbo frames,
>  > and it may make sense to interpose between the server
>  > and its clients a high performance packet switch that 
>  > could fragment the jumbo frames into standard maximum 
>  > frames.
  
>  Now that we know (from other sources) that it is indeed TCP
>  throughput we're talking about, the receive-side performance is
>  clearly an issue.  It is quite likely the case that the best TCP
>  performance is had with packets that match the receiver's interface
>  and that the answer to "where to fragment?" is "nowhere."

TCP checksums are checked after the IP packet has
been reassembled.  I am not sure of the relevance to
the argument.
  
>  > the TTI VLAN Router, for which fragmentation is almost costless,
  
>  Yes, yes, network boxes which can fragment IP at wire speed are also
>  very old news.  But that doesn't make it a good thing to do.

If the goal is to get best server performance when the clients
cannot necessarily receive the packets that the server
needs to send to get the best performance, what is
wrong with using fragmentation?
  
>  > The logic of the IPv6 design with regard to the issue of
>  > fragmentation is simply impenetrable.
  
>  Not if you do your homework.  Oops, excuse me:

Optimizing the performance of networking software
and hardware is not my homework.
Optimizing the performance of networking software
and hardware is my bread and butter.  From the moment
when I walk into work until the moment I leave.  
  
>  > if someone provides a hyperlink I will review the article
  
>  Gods forbid you should put any *effort* into establishing your
>  argument.  (Actually, if you hadn't changed your return address yet
>  again, we wouldn't be *having* this argument.)

I am sorry but the burden of proof is on those that 
make ipse dixit arguments based on 11 year old 
papers.  Not only do we know a lot more about 
software and hardware today than we did back then,
but the software and hardware has changed 
a lot.

I have no problem with studying the history of high 
performance packet switching systems.  I include 
such information in a course that I occasionally 
teach at Harvard.  But engineering is not science, 
there are no absolute truths and those who claim 
such are not doing engineering.  If Mogul found 
fragmenting systems inadequate 11 years ago, 
the religious approach is too declare them evil, 
the engineering approach is to make incremental 
improvements until they work right.

Joachim Martillo
  
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------